For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsAPI ReferenceChangelog
OverviewInquiriesTransactionsAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
        • GETList all Connections
        • GETRetrieve a Connection
        • POSTCreate a Connection
        • POSTDeactivate a Connection
        • POSTReactivate a Connection
    • Documents
    • Inquiries
    • List Items
    • Lists
    • OAuth
    • Reports
    • Transactions
    • Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceConnectConnections

Reactivate a Connection

POST
https://api.withpersona.com/api/v1/connect/connections/:connection-id/reactivate
POST
/api/v1/connect/connections/:connection-id/reactivate
$curl -X POST https://api.withpersona.com/api/v1/connect/connections/connection-id/reactivate \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "type": "connect/connection",
4 "id": "cxn_ABC123",
5 "attributes": {
6 "status": "pending",
7 "destination-organization-id": "org_XYZ789",
8 "source-organization-id": "org_ABC123",
9 "created-at": "2018-06-01T00:00:00.000Z",
10 "updated-at": "2018-06-01T00:00:00.000Z"
11 }
12 }
13}

Reactivates an inactive Connection, returning it to the pending state. Only the source organization can reactivate a connection. Once reactivated, the destination organization must accept the connection again before it returns to the active state. Only inactive connections can be reactivated.

Was this page helpful?
Previous

List all Share Tokens

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

connection-idstringRequired
ID of the connect connection

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Response

This endpoint returns a Connection.
dataobject
A Connect Connection object. This object represents a connection between organizations for sharing access to Persona objects.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.